Subject: Re: 1.75

From: Zheng Gengbin <[email-masked]>
Date: Fri, 28 Mar 1997 10:10:13 +0800 (EAT)

On Thu, 27 Mar 1997, Guansong Zhang wrote:

> On Mar 27,  7:57pm, Zheng Gengbin wrote:
> > Subject: Re: 1.75
> > 	To summerize the last 2 letters , I don't think my version have
> > a lot of bugs in it . And I don't know how you got your record node files
> > of forall3_node.f.rec and forall4_node.f.rec ,I am sure your machine will
> > core dump on these two files , this is not a portablilty problem ,
> > please check it carefully.
> >
> > Zheng
> >-- End of excerpt from Zheng Gengbin
> 
> 
> I do get these two .rec by hpf2nf, the make check option IS ok here,
> 
> rs6000-ibm-aix4.1.3.0
> 
> I will try to telnet your machine to see it.
> 

	It is very strange that IBM rs6000 4.1 do can tolerate divide by zero ,
here is the output I add in detect_comm.C to debug forall4.f :

divide by zero
215/0 : 3438,215
203/0 : 3246,203

this means 215/0 = 3438  215%0 = 215 .

This is certainly wrong .

Zheng